Subject: Re: [PATCH 2.6.26?] Raise the upper limit of NR_CPUS.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 21 Apr 2008 12:03:47 +1000

On Fri, 2008-04-18 at 15:33 +1000, Tony Breeds wrote:
> As the pacas are statically initialised increasing NR_CPUS beyond 128,
> means that any additional pacas will be empty  ... which is bad.
> 
> This patch adds the required functionality to fill in any excess pacas
> at runtime.
> 
> Signed-off-by: Tony Breeds <[email-masked]>
> ---
> I know it's late, but can this be considered for 2.6.26?

NAK.

You must NEVER manipulate kernel globals from prom_init.c. The fact that
prom_init is linked with the kernel is an "accident" which may change.

Your scheme would break among others with kexec or non-OF bootloaders

Ben.